Subject: [PATCH v3 0/9] Tegra xHCI support

From: [email-masked] (Mikko Perttunen)
Date: Wed, 17 Sep 2014 16:45:19 +0300

On 09/17/2014 01:40 AM, Stephen Warren wrote:
> That's a huge time-sink, unless I work out NFS root,
> which probably isn't properly or easily supported by any distro.

FWIW, this is how I've been working, and it hasn't been /that/ difficult 
to get working. The Tegra side is trivial, just append something like

ip=dhcp root=/dev/nfs 
nfsroot=host_ip:/your/nfsroot,v3,rsize=8192,wsize=8192,timeo=15

(Granted, I had to do a bit of mucking around before finding this 
working incantation..)

to the kernel boot arguments. I've used Ubuntu 12.04, 13.10 and Arch 
Linux on my Jetson in this way. The more annoying part is the nfs host 
machine, but there are guides for that. Anyway, I've had both Ubuntu 
12.04 and Arch working as hosts without problems.

Mikko